---
# .ansible-lint
#
# Reference documentation:
#   https://ansible-lint.readthedocs.io/en/latest/configuring.html#configuration-file
#
exclude_paths:
  - .cache/  # implicit unless exclude_paths is defined in config
  - .github/
  - .direnv/
  - .readthedocs.yaml
  - build/release_collection.yml
  - keys/
  - secrets/
  - tests/
  - roles/to_remove/
  - requirements.yml
  - playbooks/14_core_letsencrypt.yml
  - molecule.yml
  - molecule/
  - build/
  - .readthedocs.yaml
  - roles/cloudalchemy.prometheus/
parseable: true
quiet: false
verbosity: 1

mock_roles:
  - rtnp.galaxie_clans.clan_host
  - rtnp.galaxie_clans.monitor
  - rtnp.galaxie_clans.rproxy
  - rtnp.galaxie_clans.container
  - rtnp.galaxie_clans.system_base

# Enable checking of loop variable prefixes in roles
loop_var_prefix: "_current_"
use_default_rules: true

# This makes linter to fully ignore rules/tags listed below
skip_list:
  - fqcn-builtins
  - meta-no-info     # No 'galaxy_info' found
  - no-changed-when  # Commands should not change things if nothing needs doing
  - no-tabs          # Most files should not contain tabs
  - role-name        # Role name does not match ``^[a-z][a-z0-9_]+$`` pattern

# Any rule that has the 'opt-in' tag will not be loaded unless its 'id' is
# mentioned in the enable_list:
enable_list:
  - no-log-password  # opt-in
  - no-same-owner    # opt-in
  - yaml

# This makes the linter display but not fail for rules/tags listed below:
warn_list:
  - skip_this_tag
  - git-latest
  - experimental     # experimental is included in the implicit list

# Offline mode disables installation of requirements.yml
offline: true
